import {
  IsNotEmpty,
  IsOptional,
  Length,
  IsStrongPassword,
} from 'class-validator'
import { EmailVerifyDto } from 'src/email/dto/email.dto'

export class CreateUserDto extends EmailVerifyDto {
  @IsOptional()
  @Length(5, 20)
  username?: string

  @IsNotEmpty()
  @IsStrongPassword()
  password: string
}
